Skip to main content
POST
/
v1
/
ramp
/
recipients
Create Recipient
curl --request POST \
  --url https://api.example.com/v1/ramp/recipients
Endpoint: POST https://api.rebelfi.io/v1/ramp/recipients
Create a new recipient for ramping operations. This initiates KYB (Know Your Business) verification and returns a URL for the recipient to complete the process.

Request Body

FieldTypeRequiredDescription
namestringYesRecipient name
typestringNoRecipient type (default: "business")
external_idstringNoYour external reference ID
addressobjectNoRecipient address (required before creating off-ramp accounts)
address.street1stringYes*Street address line 1 (*required if address is provided)
address.street2stringNoStreet address line 2
address.citystringYes*City (*required if address is provided)
address.regionstringNoState or region
address.postal_codestringNoPostal code
address.countrystringNoCountry code (default: "US")

Example Request

curl -X POST "https://api.rebelfi.io/v1/ramp/recipients" \
  -H "x-api-key: your_api_key" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "OnEdge",
    "type": "business",
    "external_id": "ref-123"
  }'

Example Response

{
  "id": 1,
  "name": "OnEdge",
  "type": "business",
  "external_id": "ref-123",
  "kyb_status": "pending",
  "kyb_url": "https://kyb.provider.com/verify/abc123",
  "created_at": "2025-06-01T12:00:00.000Z"
}

Response Fields

FieldTypeDescription
idnumberRecipient identifier
namestringRecipient name
typestringRecipient type
external_idstring?Your external reference ID
kyb_statusstringKYB verification status (pending)
kyb_urlstringURL for the recipient to complete KYB verification
created_atstringCreation timestamp (ISO 8601)
The kyb_url is the link you send to the recipient for KYB verification. The recipient must complete verification before they can be used for off-ramp operations.